Package: org.codehaus.groovy.syntax

## [Java] Class ReadException

- org.codehaus.groovy.syntax.ReadException

- Encapsulates non-specific i/o exceptions.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReadException (IOException cause)`
    `ReadException (String message, IOException cause)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `IOException` | `getIOCause()`
    `` | `String` | `getMessage()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyException` | `isFatal, setFatal`
    `class Exception` | `printStackTrace, printStackTrace, printStackTrace, getStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getSuppressed, getLocalizedMessage, setStackTrace, addSuppressed, equals, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public ReadException(IOException cause)

    - #### public ReadException(String message, IOException cause)

  - ### Method Detail

    - #### public IOException getIOCause()

    - #### public String getMessage()

    - #### public String toString()